export default class AISClient {
  constuctor(platformId) {
    this.platformId = platformId
    this.v1 = `//idp.securetve.com/rest/1.0/${this.platformId}`
    this.v2 = `//idp.securetve.com/rest/authz/v2/platforms/${this.platformId}`
    this.request = akamai.amp.Utils.requestJson
  }

  bounce() {
    return this.request(`${this.v1}/bounce/`)
  }

  init() {
    return this.request(`${this.v1}/init/`)
  }

  identity() {
    return this.request(`${this.v1}/identity/`)
  }

  chooser() {
    return this.request(`${this.v1}/chooser/`)
  }

  resourceAccess(resourceId) {
    return this.request(`${this.v1}/identity/resourceAccess/${resourceId}`)
  }

  logout() {
    
  }
}
